Bug 246815 - [NEW PORT] net/p5-URI-Based: URI helper
Summary: [NEW PORT] net/p5-URI-Based: URI helper
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Tagato
URL:
Keywords:
Depends on:
Blocks: 246809
  Show dependency treegraph
 
Reported: 2020-05-28 17:07 UTC by geoffroy desvernay
Modified: 2020-06-03 05:40 UTC (History)
1 user (show)

See Also:


Attachments
shar archive for new port (1.69 KB, text/plain)
2020-05-28 17:07 UTC, geoffroy desvernay
no flags Details
shar archive for net/p5-URI-Based (1.69 KB, text/plain)
2020-06-02 11:31 UTC, geoffroy desvernay
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description geoffroy desvernay 2020-05-28 17:07:17 UTC
Created attachment 214982 [details]
shar archive for new port
Comment 1 Hiroki Tagato freebsd_committer 2020-06-02 10:22:04 UTC
The WWW in pkg-descr currently says:

https://metacpan.org/release/URI-Match

I guess that is not correct. Maybe the correct one is:

https://metacpan.org/release/URI-Based

Can you check with this?
Comment 2 geoffroy desvernay 2020-06-02 11:31:21 UTC
Created attachment 215162 [details]
shar archive for net/p5-URI-Based

I missed it, sorry.

This one should be OK :)
Comment 3 commit-hook freebsd_committer 2020-06-03 05:33:20 UTC
A commit references this bug:

Author: tagattie
Date: Wed Jun  3 05:32:51 UTC 2020
New revision: 537595
URL: https://svnweb.freebsd.org/changeset/ports/537595

Log:
  URI::Based perl module - Define a base URI and then generate variations on it

  WWW: https://metacpan.org/release/URI-Based

  PR:		246815
  Submitted by:	geoffroy desvernay <dgeo@centrale-marseille.fr>
  Approved by:	mentors (implicit)

Changes:
  head/net/Makefile
  head/net/p5-URI-Based/
  head/net/p5-URI-Based/Makefile
  head/net/p5-URI-Based/distinfo
  head/net/p5-URI-Based/pkg-descr
  head/net/p5-URI-Based/pkg-plist
Comment 4 commit-hook freebsd_committer 2020-06-03 05:39:28 UTC
A commit references this bug:

Author: tagattie
Date: Wed Jun  3 05:38:47 UTC 2020
New revision: 54194
URL: https://svnweb.freebsd.org/changeset/doc/54194

Log:
  Add geoffroy desvernay to contributors

  Maintainer of:	devel/p5-Algorithm-Cron
  		devel/p5-App-local-lib-helper
  		devel/p5-File-ShareDir-Tarball
  		devel/p5-MooX-Singleton
  		devel/p5-MooseX-MungeHas
  		dns/p5-AnyEvent-DNS-EtcHosts
  		mail/mailgraph
  		mail/p5-Mail-DMARC
  		mail/sympa
  		net/p5-NetAddr-MAC
  		net/p5-URI-Based
  		net-mgmt/netdisco-mibs
  		net-mgmt/netdisco
  		net-mgmt/ocsinventory-ocsreports
  		net-mgmt/ocsinventory-server
  		textproc/p5-Template-AutoFilter
  		textproc/p5-Template-Plugin-CSV
  		www/p5-Dancer-Plugin-Swagger
  		www/p5-URL-Encode

  PR:		246815
  Approved by:	mentors (implicit)

Changes:
  head/en_US.ISO8859-1/articles/contributors/contrib.additional.xml
Comment 5 Hiroki Tagato freebsd_committer 2020-06-03 05:40:19 UTC
Committed, thanks!